<?php
/**
 * The execute method. According to the $fromVersion call related methods.
 * 
 * @param  string $fromVersion 
 * @access public
 * @return void
 */
public function execute($fromVersion)
{
    /* get open source zdoo from version. */
    $basicVersion = empty($this->config->cashVersion[$fromVersion]) ? $fromVersion : $this->config->cashVersion[$fromVersion];

    $result = parent::execute($basicVersion);
    if(!empty($result)) return $result; 

    $this->loadModel('setting')->updateVersion($this->config->version);

    return $result;
}
